<app-page [title]="(routerStore?.data$ | async)?.name">
  <div #container class="canvas-map-container">
    <mat-card #inputContainer class="input-container">
      <app-input label="Origin" autocompleteValueField="name"
        [autocompleteOptions]="locationMap"
        [control]="origin"></app-input>
      <app-input label="Destination" autocompleteValueField="name"
        [autocompleteOptions]="locationMap"
        [control]="destination"></app-input>
    </mat-card>
    <canvas #routes></canvas>
    <canvas #markers></canvas>
    <agm-map #map [latitude]="center?.lat" [longitude]="center?.lng" (mapReady)="onMapReady($event)">
      <agm-marker *ngFor="let location of locationMap" [latitude]="location?.lat" [longitude]="location?.lng"></agm-marker>
    </agm-map>
  </div>
</app-page>